Bug 962958 - IPA server replication fails, OTP support
IPA server replication fails, OTP support
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 16:27 EDT by Rob Crittenden
Modified: 2014-03-16 23:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-24 10:29:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Crittenden 2013-05-14 16:27:54 EDT
Description of problem:

Two Factor authentication is a F-19 feature, http://fedoraproject.org/wiki/Features/FreeIPA_Two_Factor_Authentication. The patches were just approved upstream this morning and we would like to get this feature into the beta. The Test Day for this is scheduled for June 6. This code is needs to be manually enabled by a user so will not affect the stability of IPA in general.

Additionally, DIR is the default ccache format in F-19. This change was added relatively late and we didn't catch that it breaks replication between IPA masters until today. 

This will cause upgrade problems for anyone upgrading from F-18, or trying a new install on F-19 and creating a replica with any other server.

Version-Release number of selected component (if applicable):

fixed in ipa-3.2.0-2.fc19
Comment 1 Adam Williamson 2013-05-14 16:44:24 EDT
Is there a reason fixing this on the images is better than just having the fix come in through updates-testing? Is this something that can be configured during installation, on a live image, or in initial-setup? Thanks.
Comment 2 Nathaniel McCallum 2013-05-14 18:22:33 EDT
Adam, how does shipping the update after install affect the F19 Feature?
Comment 3 Adam Williamson 2013-05-14 18:26:02 EDT
As we're only talking about Beta here, it really doesn't. We unfreeze between Beta and Final, so if we don't take this as an FE, it'll still go into stable after Beta is released and be part of the Final frozen tree.
Comment 4 Rob Crittenden 2013-05-15 09:50:47 EDT
Ok, then it sounds like our build will effectively hit as a 0-day so I think we're all good.
Comment 5 Adam Williamson 2013-05-15 10:45:19 EDT
OK, I've removed the FE proposal then. Thanks!

Note You need to log in before you can comment on or make changes to this bug.